/*******************************************************************************
 * FoxDamageType_ProjectileStun generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDamageType_ProjectileStun extends FoxDamageType_Bullet;

var float StunTime;

static function ApplyEffect(FoxPawn VictimPawn, out int DamageAmount, optional Controller ControllerInstigator)
{
    super(FoxDamageType).ApplyEffect(VictimPawn, DamageAmount, ControllerInstigator);
    // End:0xEA
    if(FoxVehicle(VictimPawn) == none)
    {
        // End:0xEA
        if((ControllerInstigator == none) || ControllerInstigator.GetTeamNum() != VictimPawn.GetTeamNum())
        {
            VictimPawn.ClientNotifyStunned(default.StunTime, false, true);
            VictimPawn.NotifyStunned(default.StunTime, false, false);
        }
    }
    //return;    
}

defaultproperties
{
    StunTime=5.0
    VehicleDamageScaling=5.0
    DamagedFFWaveform=ForceFeedbackWaveform'Default__FoxDamageType_ProjectileStun.ForceFeedbackWaveformDamage'
    KilledFFWaveform=ForceFeedbackWaveform'Default__FoxDamageType_ProjectileStun.ForceFeedbackWaveformDeath'
}